package org.bidib.wizard.mvc.main.model;

import org.bidib.wizard.locale.Resources;

public abstract class Port {
    private int id = 0;

    private String label = null;

    private Enum<?> status = null;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Enum<?> getStatus() {
        return status;
    }

    public void setStatus(Enum<?> status) {
        this.status = status;
    }

    public String toString() {
        String result = null;

        if (label != null && label.length() > 0) {
            result = label;
        }
        else {
            result = Resources.getString(getClass(), "label") + "_" + id;
        }
        return result;
    }
}
