package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.comm.AnalogPortStatus;
import org.bidib.wizard.mvc.main.model.AnalogPort;

public class AnalogPortAction extends SimplePortAction {
    public AnalogPortAction() {
        setAction(AnalogPortStatus.START);
    }

    public AnalogPortAction(int delay, AnalogPort port, int value) {
        setAction(AnalogPortStatus.START);
        setDelay(delay);
        setPort(port);
        setValue(value);
    }

    public AnalogPortStatus getAction() {
        return (AnalogPortStatus) super.getAction();
    }

    public void setAction(AnalogPortStatus action) {
        super.setAction(action);
    }

    public void setPort(AnalogPort port) {
        super.setPort(port);
    }

    public String getDebugString() {
        int id = 0;

        if (getPort() != null) {
            id = getPort().getId();
        }
        return "@" + getDelay() + " Analog:" + String.format("%02d", id) + "->" + getValue();
    }
}
