package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.comm.CriticalFunctionStatus;

public class CriticalFunction extends SystemFunction {
    public CriticalFunction() {
        setAction(CriticalFunctionStatus.BEGIN);
    }

    public CriticalFunction(CriticalFunctionStatus action) {
        setAction(action);
    }

    public CriticalFunctionStatus getAction() {
        return (CriticalFunctionStatus) super.getAction();
    }

    public void setAction(CriticalFunctionStatus action) {
        super.setAction(action);
    }

    public String getDebugString() {
        return getAction().name().substring(0, 1) + getAction().name().substring(1).toLowerCase() + "Critical";
    }
}
