package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.comm.SoundPortStatus;
import org.bidib.wizard.mvc.main.model.SoundPort;

public class SoundPortAction extends SimplePortAction {
    public SoundPortAction() {
        setAction(SoundPortStatus.START);
    }

    public SoundPortAction(int delay, SoundPort port, int value) {
        setAction(SoundPortStatus.START);
        setDelay(delay);
        setPort(port);
        setValue(value);
    }

    public SoundPortStatus getAction() {
        return (SoundPortStatus) super.getAction();
    }

    public void setAction(SoundPortStatus action) {
        super.setAction(action);
    }

    public void setPort(SoundPort port) {
        super.setPort(port);
    }

    public String getDebugString() {
        int id = 0;

        if (getPort() != null) {
            id = getPort().getId();
        }
        return "@" + getDelay() + " Sound:" + String.format("%02d", id) + "->" + getValue();
    }
}
