package org.bidib.wizard.mvc.main.view.menu.listener;

public interface NodeListMenuListener extends LabelListMenuListener {

    void addressMessagesEnabled(boolean isSelected);

    /**
     * Open the CV programmer dialog.
     */
    void cvProgrammer();

    void dccStartEnabled(boolean isSelected);

    void exportNode();

    void externalStartEnabled(boolean isSelected);

    void feedbackMessagesEnabled(boolean isSelected);

    void firmwareUpdate();

    void identify(boolean isSelected);

    void importNode();

    void keyMessagesEnabled(boolean isSelected);

    /**
     * Open the features dialog.
     */
    void features();

    /**
     * Open the reset node dialog.
     */
    void reset();

    /**
     * Open the loco dialog.
     */
    void loco();

    /**
     * Save the node data.
     */
    void saveNode();

    /**
     * Show the details of the selected node.
     */
    void showDetails();
}
