package org.bidib.wizard.comm.listener;

public interface CommunicationListener {

    /**
     * The communication was opened.
     * @param port the port identifier
     */
    void opened(String port);

    //    void closed();

    /**
     * An internal status has changed.
     * @param statusText the status message
     * @param displayDuration the display duration in seconds or -1 to display forever
     */
    void status(String statusText, int displayDuration);
}
