package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.comm.MacroStatus;

public class MacroFunction extends SystemFunction {
    private int macroId = 0;

    public MacroFunction() {
        setAction(MacroStatus.START);
    }

    public MacroFunction(MacroStatus action, int macroId) {
        setAction(action);
        setMacroId(macroId);
    }

    public MacroStatus getAction() {
        return (MacroStatus) super.getAction();
    }

    public void setAction(MacroStatus action) {
        super.setAction(action);
    }

    public int getMacroId() {
        return macroId;
    }

    public void setMacroId(int macroId) {
        this.macroId = macroId;
    }

    public String getDebugString() {
        return getAction().name().substring(0, 1) + getAction().name().substring(1).toLowerCase() + "Macro " + macroId;
    }
}
