package org.bidib.wizard.mvc.main.model.function;

import org.bidib.wizard.comm.MotorPortStatus;
import org.bidib.wizard.mvc.main.model.MotorPort;

public class MotorPortAction extends SimplePortAction {
    public MotorPortAction() {
        setAction(MotorPortStatus.FORWARD);
    }

    public MotorPortAction(MotorPortStatus action, int delay, MotorPort port, int value) {
        setAction(action);
        setDelay(delay);
        setPort(port);
        setValue(value);
    }

    public MotorPortStatus getAction() {
        return (MotorPortStatus) super.getAction();
    }

    public void setAction(MotorPortStatus action) {
        super.setAction(action);
    }

    public void setPort(MotorPort port) {
        super.setPort(port);
    }

    public String getDebugString() {
        int id = 0;

        if (getPort() != null) {
            id = getPort().getId();
        }
        return "@" + getDelay() + " Motor:" + String.format("%02d", id) + "->" + getValue();
    }
}
