package org.bidib.wizard.mvc.main.view.panel;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.JLabel;
import javax.swing.JPanel;

import org.bidib.wizard.locale.Resources;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * EmptyPanel
 *
 */
public class EmptyPanel extends JPanel {
    private static final Logger LOGGER = LoggerFactory.getLogger(EmptyPanel.class);

    private static final long serialVersionUID = -1L;

    public EmptyPanel() {
        LOGGER.debug("Create new EmptyPanel.");

        setLayout(new GridBagLayout());

        GridBagConstraints c = new GridBagConstraints();
        c.anchor = GridBagConstraints.FIRST_LINE_START;
        c.fill = GridBagConstraints.BOTH;
        c.gridy = 0;
        c.insets = new Insets(5, 5, 5, 5);
        c.weightx = 1;

        JLabel label = new JLabel("<html><b>" + Resources.getString(getClass(), "selectNodeFromList") + "</b></html>");
        add(label, c);
    }

    public String getName() {
        return Resources.getString(getClass(), "name");
    }
}
